Bug 1148460 - Review Request: golang-github-SeanDolphin-bqschema - Package for creating Google Big Query from Go structs
Summary: Review Request: golang-github-SeanDolphin-bqschema - Package for creating Goo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-01 13:53 UTC by Jan Chaloupka
Modified: 2015-08-17 11:16 UTC (History)
2 users (show)

Fixed In Version: golang-github-SeanDolphin-bqschema-0-0.3.git41d07ee.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-19 13:18:51 UTC
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Chaloupka 2014-10-01 13:53:10 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-SeanDolphin-bqschema/golang-github-SeanDolphin-bqschema.spec
SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-SeanDolphin-bqschema/golang-github-SeanDolphin-bqschema-0-0.0.gita713d26.fc21.src.rpm
Description: BQSchema is a package used to created Google Big Query schema directly from Go structs and import BigQuery QueryResponse into arrays of Go structs.
Fedora Account System Username: jchaloup

Koji: Depends on golang-github-onsi-gomega and golang-github-onsi-ginkgo, which waits for review. Locally package is building succesfully.

$ rpmlint golang-github-SeanDolphin-bqschema.spec /root/rpmbuild/SRPMS/golang-github-SeanDolphin-bqschema-0-0.0.gita713d26.fc21.src.rpm /root/rpmbuild/RPMS/noarch/golang-github-SeanDolphin-bqschema-devel-0-0.0.gita713d26.fc21.noarch.rpm
golang-github-SeanDolphin-bqschema.src: W: spelling-error Summary(en_US) structs -> struts, instructs, destructs
golang-github-SeanDolphin-bqschema.src: W: spelling-error %description -l en_US structs -> struts, instructs, destructs
golang-github-SeanDolphin-bqschema-devel.noarch: W: spelling-error Summary(en_US) structs -> struts, instructs, destructs
golang-github-SeanDolphin-bqschema-devel.noarch: W: spelling-error %description -l en_US structs -> struts, instructs, destructs
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

Comment 1 Lokesh Mandvekar 2014-10-07 11:47:56 UTC
License is Apache and not BSD.

release tag 0.1

update -devel description like in previous BZs.

Comment 2 Jan Chaloupka 2014-10-07 12:24:40 UTC
Done. URLs are the same.

Comment 4 Lokesh Mandvekar 2014-10-07 12:31:08 UTC
Package approved. Spec file conforms to current Go packaging draft.

Comment 5 Jan Chaloupka 2014-10-07 13:23:45 UTC
New Package SCM Request
=======================
Package Name: golang-github-SeanDolphin-bqschema
Short Description: Package for creating Google Big Query from Go structs
Upstream URL: https://github.com/SeanDolphin/bqschema
Owners: jchaloup lsm5 vbatts
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 6 Gwyn Ciesla 2014-10-07 16:52:31 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-10-09 09:19:45 UTC
golang-github-SeanDolphin-bqschema-0-0.1.gita713d26.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-SeanDolphin-bqschema-0-0.1.gita713d26.el6

Comment 8 Fedora Update System 2014-10-09 09:20:17 UTC
golang-github-SeanDolphin-bqschema-0-0.1.gita713d26.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-SeanDolphin-bqschema-0-0.1.gita713d26.fc21

Comment 9 Fedora Update System 2014-10-09 09:20:44 UTC
golang-github-SeanDolphin-bqschema-0-0.1.gita713d26.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-SeanDolphin-bqschema-0-0.1.gita713d26.fc20

Comment 10 Fedora Update System 2014-10-09 19:58:17 UTC
golang-github-SeanDolphin-bqschema-0-0.1.gita713d26.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 11 Fedora Update System 2014-10-14 12:04:56 UTC
golang-github-SeanDolphin-bqschema-0-0.2.gita713d26.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-SeanDolphin-bqschema-0-0.2.gita713d26.el6

Comment 12 Fedora Update System 2014-10-19 13:18:51 UTC
golang-github-SeanDolphin-bqschema-0-0.1.gita713d26.fc20 has been pushed to the Fedora 20 stable repository.

Comment 13 Fedora Update System 2014-10-24 14:30:33 UTC
golang-github-SeanDolphin-bqschema-0-0.3.git41d07ee.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-SeanDolphin-bqschema-0-0.3.git41d07ee.fc20

Comment 14 Fedora Update System 2014-10-24 14:30:57 UTC
golang-github-SeanDolphin-bqschema-0-0.3.git41d07ee.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-SeanDolphin-bqschema-0-0.3.git41d07ee.fc21

Comment 15 Fedora Update System 2014-11-01 17:11:00 UTC
golang-github-SeanDolphin-bqschema-0-0.3.git41d07ee.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2014-11-07 02:39:52 UTC
golang-github-SeanDolphin-bqschema-0-0.3.git41d07ee.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-08-17 11:16:16 UTC
golang-github-SeanDolphin-bqschema-0-0.6.git41d07ee.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-SeanDolphin-bqschema-0-0.6.git41d07ee.el6


Note You need to log in before you can comment on or make changes to this bug.